commit:     b15bf391a87db3c5075b6cf34638b6cf3694acc2
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Thu Mar  2 13:30:13 2017 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Thu Mar  2 13:49:51 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b15bf391

dev-libs/librdkafka: Bump to v0.9.4

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 dev-libs/librdkafka/Manifest                |  1 +
 dev-libs/librdkafka/librdkafka-0.9.4.ebuild | 74 +++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/dev-libs/librdkafka/Manifest b/dev-libs/librdkafka/Manifest
index b12358bf1e3..6b905e4b340 100644
--- a/dev-libs/librdkafka/Manifest
+++ b/dev-libs/librdkafka/Manifest
@@ -1,3 +1,4 @@
 DIST librdkafka-0.9.1.tar.gz 478341 SHA256 
5ad57e0c9a4ec8121e19f13f05bacc41556489dfe8f46ff509af567fdee98d82 SHA512 
d2023cc6f976ad7440b25cffd1b59587f6497febd7ac1a6d76eb7799d294210f20170063fe25f2eb1eb3cc373df791526d1bc8d0ffbb0bef4519dae89b177147
 WHIRLPOOL 
a54a6ee8f0db0ee13de80f86ef1f53d1667fb48e8e27016f2c497b448aa6a33b8073c022255e8e9f48b3497266872862d2ba717f7fed0a39a01f72936115b7b5
 DIST librdkafka-0.9.2.tar.gz 620799 SHA256 
c243b66956ebb196510ee0efda67825467e31b93639d5f24eb082b5d83f56824 SHA512 
12a7da8de59de684da527ab969cd84dc8602741e9208941e1c7ad6dc69774bcbc3fbde0620d48c300372fa20b15aa826d309b71730119d82ec578e274c241152
 WHIRLPOOL 
7786443d9f365303ce0aad8278d83684999b23529e57fa08757fa38cce63f3944a3942475154bd613a0fb3e419c822a5651a00005eb77ed8f32f11689c11b924
 DIST librdkafka-0.9.3.tar.gz 637066 SHA256 
745ead036f0d5b732e1cd035a1f31fc23665f2982bf9d799742034e0a1bd0be9 SHA512 
5ec4c597eb7871c13feaaa96a76dc97c836f1fb5ae6c11d10675aee5577ad09d33e104af8fd497a8fbc7ee2c59434800d4cd857843f5c37460d4107ba0dc4e78
 WHIRLPOOL 
fd6e57f34079fc0d808e35fee2d1ab736719b82f5c3f9b292e50bb522d8fea7e8b74adaf7ecfa1940e6eae2ca6f0c154593a99976261f4e11969f1596af450b1
+DIST librdkafka-0.9.4.tar.gz 696078 SHA256 
5007ad20a6753f709803e72c5f2c09483dcbce0f16b94b17cf677fb3e6045907 SHA512 
054897d90131ba7d91f66e2929f19224ae96feabe1be69e93a87ad05864f4893aa56456c3c15a303826f0c519eab09c5cd6e0b34d76ae68db6060aa80e9bc8de
 WHIRLPOOL 
6c5cb2a3056f60493dd65ec7f81d71e335d44ef0cfa2c63a943ffa32752025add1691fb3c77902b3ee8706f822916ee32bc885f425eb44b62366b1c0bc983bcc

diff --git a/dev-libs/librdkafka/librdkafka-0.9.4.ebuild 
b/dev-libs/librdkafka/librdkafka-0.9.4.ebuild
new file mode 100644
index 00000000000..d5cc1f6dc14
--- /dev/null
+++ b/dev-libs/librdkafka/librdkafka-0.9.4.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit toolchain-funcs
+
+DESCRIPTION="Apache Kafka C/C++ client library"
+HOMEPAGE="https://github.com/edenhill/librdkafka";
+
+if [[ ${PV} == "9999" ]]; then
+       EGIT_REPO_URI="
+               git://github.com/edenhill/${PN}.git
+               https://github.com/edenhill/${PN}.git
+               "
+
+       inherit git-r3
+else
+       SRC_URI="https://github.com/edenhill/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm ~hppa ~x86"
+fi
+
+LICENSE="BSD-2"
+
+# subslot = soname version
+SLOT="0/1"
+
+IUSE="lz4 sasl ssl static-libs"
+
+RDEPEND="
+       lz4? ( app-arch/lz4:= )
+       sasl? ( dev-libs/cyrus-sasl:= )
+       ssl? ( dev-libs/openssl:0= )
+       sys-libs/zlib
+"
+
+DEPEND="
+       ${RDEPEND}
+       virtual/pkgconfig
+"
+
+src_configure() {
+       tc-export CC CXX LD NM OBJDUMP PKG_CONFIG STRIP
+
+       local myeconf=(
+               --no-cache
+               --no-download
+               --disable-debug-symbols
+               $(use_enable lz4)
+               $(use_enable sasl)
+               $(usex static-libs '--enable-static' '')
+               $(use_enable ssl)
+       )
+
+       econf ${myeconf[@]}
+}
+
+src_test() {
+       emake -C tests run_local
+}
+
+src_install() {
+       local DOCS=(
+               README.md
+               CONFIGURATION.md
+               INTRODUCTION.md
+       )
+
+       default
+
+       if ! use static-libs; then
+               find "${ED}"usr/lib* -name '*.la' -o -name '*.a' -delete || die
+       fi
+}

Reply via email to